Subject: bug#21688: [Emacs-diffs] emacs-25 8ff888a: Improve fix for regex reentrancy abort

From: Paul Eggert <[email-masked]>
Date: Sat, 21 Nov 2015 14:23:07 -0800

John Wiegley wrote:
>>>>>> Ken Brown<[email-masked]>  writes:
>>> >>branch: emacs-25
>>> >>commit 8ff888a07d0500f1274723086469191aade0a33e
>> >The message-mode-propertize test fails after this commit.
> Let's make sure all tests are run prior to any commits on the emacs-25 branch.

I briefly looked into getting that test working, but couldn't figure it out 
quickly, so I have reverted the fix for the regex reentrancy abort, in emacs-25 
commit 8e84823f3f06714d0668060d62456cf7e3100e6c.  This means Bug#21688 is no 
longer fixed, i.e., Emacs can dump core when aligning Perl code.  I'll reopen 
Bug#21688.

Perhaps Stefan or someone else will be able to knock a few cycles free to fix 
this. I'm afraid I've been spending most of my time elsewhere in Emacs recently, 
what with the new module code and all.